libnl: Request

libnl 3.10.0

Request
Routing Library (libnl-route) » FIB Lookup

## Lookup Request Creation/Deletion
struct flnl_request * | flnl_request_alloc (void)

## Attributes
void | flnl_request_set_fwmark (struct flnl_request *req, uint64_t fwmark)
uint64_t | flnl_request_get_fwmark (struct flnl_request *req)
void | flnl_request_set_tos (struct flnl_request *req, int tos)
int | flnl_request_get_tos (struct flnl_request *req)
void | flnl_request_set_scope (struct flnl_request *req, int scope)
int | flnl_request_get_scope (struct flnl_request *req)
void | flnl_request_set_table (struct flnl_request *req, int table)
int | flnl_request_get_table (struct flnl_request *req)
int | flnl_request_set_addr (struct flnl_request *req, struct nl_addr *addr)
struct nl_addr * | flnl_request_get_addr (struct flnl_request *req)

## Detailed Description

## Function Documentation

## ◆ flnl_request_alloc()

struct flnl_request * flnl_request_alloc | ( | void |  | ) |

Definition at line 92 of file request.c.

## ◆ flnl_request_set_fwmark()

void flnl_request_set_fwmark | ( | struct flnl_request * | req,
|  | uint64_t | fwmark )

Definition at line 104 of file request.c.

## ◆ flnl_request_get_fwmark()

uint64_t flnl_request_get_fwmark | ( | struct flnl_request * | req | ) |

Definition at line 110 of file request.c.

## ◆ flnl_request_set_tos()

void flnl_request_set_tos | ( | struct flnl_request * | req,
|  | int | tos )

Definition at line 118 of file request.c.

## ◆ flnl_request_get_tos()

int flnl_request_get_tos | ( | struct flnl_request * | req | ) |

Definition at line 124 of file request.c.

## ◆ flnl_request_set_scope()

void flnl_request_set_scope | ( | struct flnl_request * | req,
|  | int | scope )

Definition at line 132 of file request.c.

## ◆ flnl_request_get_scope()

int flnl_request_get_scope | ( | struct flnl_request * | req | ) |

Definition at line 138 of file request.c.

## ◆ flnl_request_set_table()

void flnl_request_set_table | ( | struct flnl_request * | req,
|  | int | table )

Definition at line 146 of file request.c.

## ◆ flnl_request_get_table()

int flnl_request_get_table | ( | struct flnl_request * | req | ) |

Definition at line 152 of file request.c.

## ◆ flnl_request_set_addr()

int flnl_request_set_addr | ( | struct flnl_request * | req,
|  | struct nl_addr * | addr )

Definition at line 160 of file request.c.

## ◆ flnl_request_get_addr()

struct nl_addr * flnl_request_get_addr | ( | struct flnl_request * | req | ) |

Definition at line 176 of file request.c.